Node migration (4.0/4.1->4.3-rc01) is failed for node with postgress db

Description

upgrade-node-os behave test is failed for OS-4.3-RC01 and postgress. Please note that it works with sql server and H2.

Scenario Outline: Upgraded node should properly preserve its state and be able to function on the old finance app version. #R3T-1773 #should pseudo test
Given a node PartyA of version <Old-Version>
And node PartyA has version <Old-Version> of the finance app installed
And node PartyA uses database of type <Database-Type-A>
And a node PartyB of version <Upgrade-Version>
And node PartyB has version <Old-Version> of the finance app installed
And the nodes are connected to Nightwatch
When the network is ready
Then node PartyA can issue 100 USD
And node PartyA can transfer 60 USD to node PartyB anonymously
Then node PartyA is upgraded to version <Upgrade-Version>
And node PartyA can transfer 10 USD to node PartyB anonymously
And node PartyA contains 30 USD
And node PartyB contains 70 USD

Examples:

Old-Version

Upgrade-Version

Database-Type-A

OS-4.0

Test-Version

postgres

The following error appears in the log at the moment of node startup after migration:

 

Status

Assignee

Alexey Chernikov

Reporter

Artem Kuchin

Priority

Medium

Fix versions

Ported to...

Corda Enterprise 4.3

Feature Team

Operational Experience

CVSS Vector

None

Severity

Medium

Sprint

Affects versions

Configure